{% extends "templates/form.njk" %}
{% from "packages/components/warning-callout/macro.njk" import warningCallout %}
{% from "packages/components/button/macro.njk" import button %}
{% from "macros/hce-summary-list-editable.njk" import hceSummaryListEditable %}

{% block formContent %}
    <h1>{{heading}}</h1>

    {{ warningCallout({
        "heading": warningCalloutHeading,
        "headingLevel": 2,
        "HTML": warningCalloutHTML
    }) }}
    
    {{ hceSummaryListEditable({
    text: { 
        heading: summaryCardTitle 
    },
    rows: [
    {
        key: {
            text: firstNameLabel
        },
        value: {
            inputLabel: firstNameLabel,
            inputId: "first-name",
            inputName: "firstName",
            inputValue: citizen.firstName,
            inputErrors: errors | getErrorForField('firstName')
        }
    },
    {
        key: {
            text: lastNameLabel
        },
        value: {
            inputLabel: lastNameLabel,
            inputId: "last-name",
            inputName: "lastName",
            inputValue: citizen.lastName,
            inputErrors: errors | getErrorForField('lastName')
        }
    },
    {
        key: {
            text: addressLineOneLabel
        },
        value: {
            inputLabel: addressLineOneLabel,
            inputId: "address-line-1",
            inputName: "addressLine1",
            inputValue: citizen.addressLine1,
            inputErrors: errors | getErrorForField('addressLine1')
        }
    },
    {
        key: {
            text: addressLineTwoLabel
        },
        value: {
            inputLabel: addressLineTwoLabel,
            inputId: "address-line-2",
            inputName: "addressLine2",
            inputValue: citizen.addressLine2,
            inputErrors: errors | getErrorForField('addressLine2')
        }
    },
    {
        key: {
            text: townLabel
        },
        value: {
            inputLabel: townLabel,
            inputId: "town-or-city",
            inputName: "townOrCity",
            inputValue: citizen.townOrCity,
            inputErrors: errors | getErrorForField('townOrCity')
        }
    },
    {
        key: {
            text:postcodeLabel
        },
        value: {
            inputLabel: postcodeLabel,
            inputId: "postcode",
            inputName: "postcode",
            inputValue: citizen.postcode,
            inputErrors: errors | getErrorForField('postcode')
        }
    },
    {        
        key: {
            text: dateOfBirthLabel
        },
        value: {
            dateInput: true,
            fieldIdPrefix: "date-of-birth",
            fieldNamePrefix: "dateOfBirth",
            claim: citizen,
            inputErrors: errors,
            legendText: dateOfBirthLabel
        }
    },
    {
        key: {
            text: emailAddressLabel
        },
        value: {
            inputLabel: emailAddressLabel,
            inputId: "email-address",
            inputName: "emailAddress",
            inputValue: citizen.emailAddress,
            inputErrors: errors | getErrorForField('emailAddress')
        }
    },
    {
        key: {
            text: nhsNumberLabel
        },
        value: {
            inputLabel: nhsNumberLabel,
            inputId: "nhs-number",
            inputName: "nhsNumber",
            inputValue: citizen.nhsNumber,
            inputErrors: errors | getErrorForField('nhsNumber')
        }
    }]
    }) }}

    <div class="form-group">
        {{ button({ 
            href: contextPath + previous,
            text: backButtonText,
            classes: "nhsuk-button hce-telesales-blue-button",
            preventDoubleClick: true,
            attributes: {
            id: 'back-button'
            }
        }) }}
        {{ button({
            text: submitButtonText,
            classes: "nhsuk-button hce-telesales-blue-button",
            preventDoubleClick: true,
            attributes: {
            id: 'submit-button'
            }
        }) }}
    </div>
{% endblock %}